{{> header}}

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-4"></div>
        <div class="col-sm-4">
            {{!-- <form action="" class="form-group" style="text-align: center;"> --}}
                <label for="name">Name :</label>
                <input type="text" name="name" class="form-control" id="inp-usr-name"> <br>
                <label for="name">Password :</label>
                <input type="text" name="password" class="form-control" id="inp-usr-pass"> <br>
                <button class="btn btn-primary" id="inp-submit" onclick="submit()"> login </button> <br> <br>
                <span style="color: crimson;" id="msg">  </span>
            {{!-- </form> --}}
        </div>
        <div class="col-sm-4"></div>
    </div>
</div>

<script>
    async function submit(){
        $('#inp-submit').addClass('hidden');
        let usrName = $('#inp-usr-name').val();
        let usrPassword = $('#inp-usr-pass').val();
        
        if(usrName && usrPassword){
            let data = {
                usrName,
                usrPassword
            }
            /*AJAX CALL */
            let res = (await $.post('api/login',data));
           
            if(res.status == 'success'){
                $('#msg').html('welcome '+res.data.name+' we redirecting to Home page please wait.');
                setTimeout(()=>{
                    window.location.href = '/home';
                },3000);
            }else{
                $('#msg').html(res.msg);
                setTimeout(()=>{
                    $('#msg').html();
                },2000);
            }
        }else{
            $('#msg').html('Please provide proper detail');
        }
    }
</script>

{{> footer}}